@use "../theme";

.mobile-navigation {
    @media only screen and (min-width: theme.$sm) {
        display: none;
    }

    &__backdrop {
        display: none;
        background-color: theme.$colorBrandTransparent;
        margin: 0px auto;
        max-width: 1024px;
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        z-index: 100;
        opacity: 0;
        transition: opacity 170ms ease 0s, transform 0ms ease 0s;

        &.active {
            display: block;
            opacity: 1;
        }
    }

    &__drawer {
        position: fixed;
        bottom: 0;
        left: 0px;
        width: 100%;
        background: white;
        transform: translate(0px, 100%);
        transition: transform 120ms ease-out 0s;
        z-index: 110;
        display: flex;
        flex-direction: column;

        &__header {
            padding: theme.$spacing05;
            display: flex;
            justify-content: flex-end;

            &__close-btn {
                border: none;
                background: transparent;

                &::before {
                    display: block;
                    content: "✕";
                    font-size: theme.$fontSizeXXLarge;
                    line-height: 1;
                    color: theme.$colorPaletteGray700;
                }
            }
        }

        &__navigation {
            margin: 0;
            padding: 0 theme.$spacing03 theme.$spacing03;

            li {
                border-top: 1px solid theme.$colorPaletteGray400;
                padding: theme.$spacing04;
                display: flex;
                justify-content: space-between;
                align-items: center;

                a {
                    font-size: theme.$fontSizeLarge;
                    text-decoration: none;
                    color: theme.$colorText;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    &.active {
                        font-weight: theme.$fontWeightBold;
                    }
                }
            }

            ul {
                padding: 0;
            }
        }

        &.active {
            transform: translate(0px, 0px);
        }
    }

}
